# This script creates a textgrid file with gesture tiers and appends a word tier to it
# First, open a word file (Read -> Read from special tier file... -> Read IntervalTier from Xwaves...)
# and then open the corresponding wav file (Read -> Read from file...)
# Next, select the button 'New -> Create Gesture TextGrid...'
# An editor window will open, and you are ready to label.
# Heejin Kim, 1/15/2010

name$ = selected$ ("Sound")

To TextGrid... "word phone pl1 dg1 pl2 dg2 nas glo rd vow comment" 

textgridN$ = "TextGrid " + name$
soundN$ = "Sound " + name$
wordtier$ = "IntervalTier " + name$

select 'wordtier$'
plus 'textgridN$'
Append
Duplicate tier... 12 2 word
Remove tier... 1
Remove tier... 12

select 'textgridN$'
plus 'soundN$'

Edit
